#include <iostream>
#include<bits\stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int a,b,x,y;
    cin>>a>>b;
    cin>>x>>y;
    if(a==x && b!=y)cout<<"drugi"<<'\n';
    if(b==y && a!=x)cout<<"prvi"<<'\n';
    if(b==y && a==x)cout<<"nijedan"<<'\n';
    if(a!=x && b!=y)cout<<"?"<<'\n';

    return 0;
}